petsc-3.12.4 2020-02-04
Report Typos and Errors

# PCKSPGetKSP

Gets the KSP context for a KSP PC.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCKSPGetKSP(PC pc,KSP *ksp)

Not Collective but KSP returned is parallel if PC was parallel

### Input Parameter

pc -the preconditioner context

### Output Parameters

ksp -the KSP solver

### Notes

You must call KSPSetUp() before calling PCKSPGetKSP().

If the PC is not a PCKSP object it raises an error

### Level

advanced

### Location

src/ksp/pc/impls/ksp/pcksp.c

### Examples

src/ksp/ksp/examples/tutorials/ex71.c.html

### Implementations

PCKSPGetKSP_KSP in src/ksp/pc/impls/ksp/pcksp.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages